#include<bits/stdc++.h>
using namespace std;
long long stepenovanje(int n, int x)
{
    if(x==0) return 1;
    return n*stepenovanje(n,x-1);
}
int broj(long long n)
{
    if(n==0) return 0;
    return 1+broj(n/10);
}
int main()
{
    long long v,st;
    int br,resenje=0;
    cin>>v;
    int d[3];
    d[0]=5;
    d[1]=2;
    d[2]=1;
    while(v>0)
    {
        br=broj(v);
        st=stepenovanje(10,br-1);
        for(int i=0;i<3;i++)
        {
          if(d[i]*st<=v)
          {
              resenje++;
              v=v-d[i]*st;
              break;
          }
        }
    }
    cout<<resenje;
}